#include  "std.h"

static NumFunc_1 callspread=
    {
    CallSpread,
        {{"Strike 1",PDOUBLE,100,ALLOW},
        {"Strike 2",PDOUBLE,110,ALLOW},
        {" ",END,0,FORBID}
        },
    CHK_callspread
    };

static TYPEOPT CallSpreadAmer=
    {
    /*PayOff*/      {"Payoff",NUMFUNC_1,0,FORBID},
    /*EuOrAm*/       {"Amer",BOOL,AMER,FORBID},
    /*Maturity*/        {"Maturity",DATE,0,ALLOW}
    };

static int OPT(Init)(Option *opt)
    {
    TYPEOPT* pt=(  TYPEOPT*)(opt->TypeOpt);
    static int first=1;

    if (first)
        {
        pt->PayOff.Val.V_NUMFUNC_1=&callspread;

        (pt->EuOrAm).Val.V_BOOL=AMER;
        (pt->Maturity).Val.V_DATE=1.0;
        (pt->PayOff.Val.V_NUMFUNC_1)->Par[0].Val.V_PDOUBLE=100.0;
        (pt->PayOff.Val.V_NUMFUNC_1)->Par[1].Val.V_PDOUBLE=110.0;

        first=0;
        }

    return OK;
    }

MAKEOPT(CallSpreadAmer);
