#include  "std2d.h"

static NumFunc_2 callmax=
    {
    CallMax,
    {{"Strike",PDOUBLE,100,ALLOW},{" ",END,0,FORBID}},
    CHK_call
    };

static TYPEOPT CallMaximumAmer=
    {
    /*PayOff*/      {"Payoff",NUMFUNC_2,0,FORBID},
    /*EuOrAm*/       {"Amer",BOOL,AMER,FORBID},
    /*Maturity*/        {"Maturity",DATE,0,ALLOW}
    };

static int OPT(Init)(Option *opt)
    {
    TYPEOPT* pt=(  TYPEOPT*)(opt->TypeOpt);
    static int first=1;

    if (first)
        {
        pt->PayOff.Val.V_NUMFUNC_2=&callmax;

        (pt->EuOrAm).Val.V_BOOL=AMER;
        (pt->Maturity).Val.V_DATE=1.0;
        (pt->PayOff.Val.V_NUMFUNC_2)->Par[0].Val.V_PDOUBLE=100.;

        first=0;
        }

    return OK;
    }

MAKEOPT(CallMaximumAmer);
