#include  "std2d.h"

static NumFunc_2 exchange=
    {
    Exchange,
    {"Ratio",PDOUBLE,100,ALLOW},
    CHK_call
    };

static TYPEOPT ExchangeEuro=
    {
    /*PayOff*/      {"Payoff",NUMFUNC_2,0,FORBID},
    /*EuOrAm*/       {"Euro",BOOL,EURO,FORBID},
    /*Maturity*/        {"Maturity",DATE,0,ALLOW}
    };

static int OPT(Init)(Option *opt)
    {
    TYPEOPT* pt=(  TYPEOPT*)(opt->TypeOpt);
    static int first=1;

    if (first)
        {
        pt->PayOff.Val.V_NUMFUNC_2=&exchange;

        (pt->EuOrAm).Val.V_BOOL=EURO;
        (pt->Maturity).Val.V_DATE=1.0;
        (pt->PayOff.Val.V_NUMFUNC_2)->Par[0].Val.V_PDOUBLE=0.75;

        first=0;
        }

    return OK;
    }

MAKEOPT(ExchangeEuro);
