set noclip points
set clip one
set noclip two
set border
set boxwidth
set dummy x,y
set format x "%g"
set format y "%g"
set format z "%g"
set grid
set key
set nolabel
set noarrow
set nologscale
set offsets 0, 0, 0, 0
set nopolar
set angles radians
set data style lines
##
set terminal
set xlabel "Time"
set size 1.,1.
set origin 0.,0.
set multiplot
set size 1.,.5
set origin 0.,.5
set title "Stock's trajectory to obtain the minimal PL."
set ylabel "Stock"
plot "premia.out"	 using 1:2 notitle ,							   "premia.out"	 using 8:9 title "Hedge times" with points
set size 1.,.5
set origin 0.,0.
set title "PL's trajectory."
set ylabel "PL"
plot "premia.out"	 using 1:5 notitle
set nomultiplot
pause -1 "NEXT : PLmax"
set size 1.,1.
set origin 0.,0.
set multiplot
set size 1.,.5
set origin 0.,.5
set title "Stock's trajectory to obtain the maximal PL."
set ylabel "Stock"
plot "premia.out"	 using 1:3 notitle ,							   "premia.out"	 using 10:11 title "Hedge times" with points
set size 1.,.5
set origin 0.,0.
set title "PL's trajectory."
set ylabel "PL"
plot "premia.out"	 using 1:6 notitle
set nomultiplot
pause -1 "NEXT : PLmean"
set size 1.,1.
set origin 0.,0.
set multiplot
set size 1.,.5
set origin 0.,.5
set title "Stock's trajectory to obtain the mean PL."
set ylabel "Stock"
plot "premia.out"	 using 1:4 notitle ,							   "premia.out"	 using 12:13 title "Hedge times" with points
set size 1.,.5
set origin 0.,0.
set title "PL's trajectory."
set ylabel "PL"
plot "premia.out"	 using 1:7 notitle
set nomultiplot
pause -1 "NEXT : EXIT"
