#!/bin/bash
#______________________________________________________________
# PURPOSE: Converts in pdf  all "_src.tex" and "_doc_tex" files.
# USAGE:  bash tex2pdfOne.bash 
# ARCHITECTURE: Windows 95/98/NT
#______________________________________________________________

#!!!!USER DEPENDENT!!!!
#BEGIN
ps2pdfpath=c:/gstools/gs5.50/
#END
cwd=$PWD

for j in `find ../Src -name \*_doc.tex  -print; find ../Src -name \*_src.tex -print; find ../Src -name summury.tex  -print`
do
ppath="$(echo $j | gawk -F/ '{for (i=1; i<NF; i++) printf("%s/",$i)}')"
pname="$(echo $j | gawk -F/ '{print $NF}'  | gawk -F. '{print $(NF-1)}')"

cd $ppath
latex $pname
latex $pname
dvips -z ${pname}.dvi -o ${pname}.ps
${ps2pdfpath}ps2pdf.bat ${pname}.ps

rm head.tmp body.tmp ${pname}.dvi ${pname}.aux ${pname}.log ${pname}.out ${pname}.ps

cd $cwd

done