#include "optype.h"
#include "error_msg.h"

char **error_msg;

int InitErrorMsg()
{
	error_msg=(char **)malloc(MAX_ERROR_MSG*sizeof(Label));
	
	if (error_msg==NULL)
		return WRONG;
	
	error_msg[MEMORY_ALLOCATION_FAILURE]="MEMORY_ALLOCATION_FAILURE";

	error_msg[UNABLE_TO_OPEN_FILE]="UNABLE_TO_OPEN_FILE";

	error_msg[OPTION_IRRELEVANT_TO_THIS_METHOD]="OPTION_IRRELEVANT_TO_THIS_METHOD";

	error_msg[NEGATIVE_PROBABILITY]="NEGATIVE_PROBABILITY";

	error_msg[UNABLE_TO_FIND_ACROBAT]="UNABLE_TO_FIND_ACROBAT";
	
	error_msg[DIMENSION_QMC_SEQ_EXCEDEED]="DIMENSION_QMC_SEQ_EXCEDEED";

	error_msg[STEP_NUMBER_TOO_SMALL]="STEP_NUMBER_TOO_SMALL";

	error_msg[PATH_TOO_LONG]="PATH_TOO_LONG";

	return OK;
}

void FreeErrorMsg()
{
	free(error_msg);
}
