#ifndef  _TOOLS_H
#define _TOOLS_H

int Iterate(Planning *pt_plan,Iterator* pt_iterator,int count,char action,Model*pt_model,Option*pt_option,Pricing *pt_pricing,PricingMethod* pt_method, 
				  DynamicTest*pt_test,int user,TimeInfo*pt_time_info);
void Action(char action,Model*pt_model,Option*pt_option,Pricing *pt_pricing,PricingMethod* pt_method, 
				  DynamicTest*pt_test,int user,Planning *pt_plan,TimeInfo*pt_time_info);

int OutputFile(FILE **pt_file);
void InputMode(int *pt_user);

char ChooseAction(void);
int MoreAction(int *count);

int SelectModel(int user,Planning *pt_plan,Model * *listmod,Model **mod);
int SelectOption(int user,Planning *pt_plan,Family **listopt,Model* pt_model,Pricing **pricing,Option **opt);
int MatchingPricing(int user,Model *pt_model,Option *pt_option,Pricing **pricing);
int SelectPricing(int user,Model *pt_model,Option *pt_option,Pricing **family,Pricing **result);
int SelectMethod(int user,Planning *pt_plan,Pricing *pt_pricing, Option *opt,Model *mod,PricingMethod **met);
int SelectTest(int user,Planning *pt_plan,Pricing *pt_pricing, Option *opt,Model *mod,PricingMethod *met,DynamicTest **test);

void BuildGnuStuff(Planning plan,Model* pt_model,Option *pt_option,Pricing *pt_pricing,PricingMethod **pt_method);
int  make_titles_file(char *name,Model* pt_model,Option* pt_option, Pricing *pt_pricing, PricingMethod **pt_method, int metno);
void begin_tex_file(FILE *f_tex);
void end_tex_file(FILE *f_tex);
void begin_gnu(FILE *fp);
void FurtherMsg(void);

void WellcomeMsg(int user);
int NextSession(Planning *pt_plan,char action,int user);


void FreeTest(DynamicTest *test);
void BuildGnuStuffTest(Model* model,Option* option, Pricing* pricing, PricingMethod* method ,DynamicTest* test);


#endif

