#include  "std.h"

static NumFunc_1 digit=
    {
    Digit,
        {{"Strike",PDOUBLE,100,ALLOW},
        {"Rebate",PDOUBLE,10,ALLOW},
        {" ",END,0,FORBID}
        },
    CHK_digit
    };

static TYPEOPT DigitEuro=
    {
    /*PayOff*/      {"Payoff",NUMFUNC_1,0,FORBID},
    /*EuOrAm*/       {"Euro",BOOL,EURO,FORBID},
    /*Maturity*/        {"Maturity",DATE,0,ALLOW}
    };

static int OPT(Init)(Option *opt)
    {
    TYPEOPT* pt=(  TYPEOPT*)(opt->TypeOpt);
    static int first=1;

    if (first)
        {
        pt->PayOff.Val.V_NUMFUNC_1=&digit;

        (pt->EuOrAm).Val.V_BOOL=EURO;
        (pt->Maturity).Val.V_DATE=1.0;
        (pt->PayOff.Val.V_NUMFUNC_1)->Par[0].Val.V_PDOUBLE=100.0;
        (pt->PayOff.Val.V_NUMFUNC_1)->Par[1].Val.V_PDOUBLE=10.0;

        first=0;
        }

    return OK;
    }

MAKEOPT(DigitEuro);
