set noclip points
set clip one
set noclip two
set border
set boxwidth
set dummy x,y
set format x "%g"
set format y "%g"
set format z "%g"
set grid
set key
set nolabel
set noarrow
set nologscale
set offsets 0, 0, 0, 0
set nopolar
set angles radians
set data style lines
##
set terminal latex 
set size 1.,1.
set origin 0.,0.
set xlabel "Time"
set output "fig0.tex"
set title "Stock's trajectory to obtain the minimal PL."
set ylabel "Stock"
plot "premia.out"	 using 1:2 notitle ,							 "premia.out"	 using 11:12 title "Hedge times" with points
set output "fig1.tex"
set title "PL's trajectory."
set ylabel "PL"
plot "premia.out"	 using 1:5 notitle
set output "fig2.tex"
set title "Delta's trajectory."
set ylabel "Delta"
plot "premia.out"	 using 1:8 notitle
set output "fig3.tex"
set title "Stock's trajectory to obtain the maximal PL."
set ylabel "Stock"
plot "premia.out"	 using 1:3 notitle ,							 "premia.out"	 using 13:14 title "Hedge times" with points
set output "fig4.tex"
set title "PL's trajectory."
set ylabel "PL"
plot "premia.out"	 using 1:6 notitle
set output "fig5.tex"
set title "Delta's trajectory."
set ylabel "Delta"
plot "premia.out"	 using 1:9 notitle
set output "fig6.tex"
set title "Stock's trajectory to obtain the mean PL."
set ylabel "Stock"
plot "premia.out"	 using 1:4 notitle ,							 "premia.out"	 using 15:16 title "Hedge times" with points
set output "fig7.tex"
set title "PL's trajectory."
set ylabel "PL"
plot "premia.out"	 using 1:7 notitle
set output "fig8.tex"
set title "Delta's trajectory."
set ylabel "Delta"
plot "premia.out"	 using 1:10 notitle
