#!/bin/bash
#______________________________________________________________
# PURPOSE: Makes myname.pdf out of myname.tex 
# USAGE: bash  tex2pdfOne.bash myname.tex
# ARCHITECTURE: Windows 95/98/NT
#______________________________________________________________

#!!!!USER DEPENDENT!!!!
#BEGIN
ps2pdfpath=c:/gstools/gs5.50/
#END

ppath="$(echo $1 | gawk -F/ '{for (i=1; i<NF; i++) printf("%s/",$i)}')"
pname="$(echo $1 | gawk -F/ '{print $NF}'  | gawk -F. '{print $(NF-1)}')"

cd $ppath
latex $pname
latex $pname
dvips -z ${pname}.dvi -o ${pname}.ps
${ps2pdfpath}ps2pdf.bat ${pname}.ps

rm head.tmp body.tmp ${pname}.dvi ${pname}.aux ${pname}.log$ {pname}.ps

